package io.zipcoder.blue_coin_application.model;

public class Mining {

    public static void main(String[] args) {
        String prevHash = "a27f5c79ec375f7754e2c7096ea5b85bc76bed83a822d138d3877269e2687ae0";
        String block = "8";
        String data = "vince -> mexi 54567, clem -> vince 0948533";
        Mining test = new Mining();
        test.mine(prevHash, block, data);
    }

    public String hash(String string) {
        String hashed = org.apache.commons.codec.digest.DigestUtils.sha256Hex(string);
        return hashed;
    }

    public void mine(String prevHash, String block, String data) {
        int nonce = 0;
        boolean mined = false;
        while (mined == false) {
            String newHash = hash(prevHash + block + data + Integer.toString(nonce));
            System.out.println(newHash);
            if (newHash.startsWith("000000")) {
                mined = true;
            } else {
                nonce++;
            }
        }
        System.out.println(nonce);

    }
}

