package io.zipcoder.blue_coin_application;

import io.zipcoder.blue_coin_application.model.Block;
import org.junit.*;

public class TestBlock {

    @Test
    public void testCalculateHash() {
        Block block = new Block("data to encrypt", "dsgvcv4a534ghfgcvvw45ttb");
        int actual = block.calculateHash().length();
        Assert.assertEquals(64, actual);
    }

    @Test
    public void testGetHash() {
        Block block = new Block("more data to encrypt", "esfvdghfw546w5rtsw465gvfd");
        String expected = block.calculateHash();
        String actual = block.getHash();
        Assert.assertEquals(expected, actual);
    }
}
